<!DOCTYPE html>
<html th:fragment="layout (title, content)" xmlns:th="http://www.thymeleaf.org" class="h-100">

<head>
    <metacharset="UTF-8">
        <title th:replace="${title}">Page title</title>
        <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.1/dist/css/bootstrap.min.css" rel="stylesheet"
            integrity="sha384-+0n0xVW2eSR5OomGNYDnhzAbDsOXxcvSN1TPprVMTNDbiYZCxYbOOl7+AMvyTG2x" crossorigin="anonymous">
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.1/dist/js/bootstrap.bundle.min.js"
            integrity="sha384-gtEjrD/SeCtmISkJkNUaaKMoLD0//ElJ19smozuHV6z3Iehds+3Ulb9Bn9Plx0x4" crossorigin="anonymous">
            </script>
</head>

<body class="d-flex flex-column h-100">
    <header class="mb-5">
        <nav class="navbar navbar-expand-md navbar-dark fixed-top bg-dark">
            <div class="container-fluid">
                <a class="navbar-brand" href="#">AssoMontagne</a>
                <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarCollapse"
                    aria-controls="navbarCollapse" aria-expanded="false" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span></button>
                <div class="collapse navbar-collapse" id="navbarCollapse">
                    <ul class="navbar-nav me-auto mb-2 mb-md-0">
                        <li class="nav-item">
                            <a th:class="${'nav-link' +
                                                    (#strings.contains(#httpServletRequest.requestURI, '/user' )
                                                    ? ' active' : '' ) }" th:href="@{/users}">Utilisateurs</a>
                        </li>
                        <li class="nav-item">
                            <a th:class="${'nav-link' +
                                                            (#strings.contains(#httpServletRequest.requestURI, '/sortie'
                                                            ) ? ' active' : '' ) }" th:href="@{/sorties}">Sorties</a>
                        </li>
                    </ul>
                </div>
            </div>
        </nav>
    </header>
    <main class="flex-shrink-0 mt-5 mb-3">
        <div class="container">
            <div th:replace="${content}">
                <p>Layout content</p>
            </div>
        </div>
    </main>
    <footer class="footer mt-auto py-3 bg-light">
        <div class="container">
            <span class="text-muted">Copyright Asso
                Montagne 2022</span>
        </div>
    </footer>
</body>

</html>